GNU Radio 2.x: gr_single_pole_iir_filter_ff Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_single_pole_iir_filter_ff Class Reference
[Filters]

`#include <gr_single_pole_iir_filter_ff.h>`

Inheritance diagram for gr_single_pole_iir_filter_ff:

[legend]
Collaboration diagram for gr_single_pole_iir_filter_ff:

[legend]
List of all members.

## Detailed Description

single pole IIR filter with float input, float output

The input and output satisfy a difference equation of the form

with the corresponding rational system function

Note that some texts define the system function with a + in the denominator. If you're using that convention, you'll need to negate the feedback tap.

## Public Member Functions
| ~gr_single_pole_iir_filter_ff ()
void | set_taps (double alpha)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
| just like gr_block::general_work, only this arranges to call consume_each for you
## Friends
gr_single_pole_iir_filter_ff_sptr | gr_make_single_pole_iir_filter_ff (double alpha, unsigned int vlen)

## Constructor & Destructor Documentation

gr_single_pole_iir_filter_ff::~gr_single_pole_iir_filter_ff | ( |  | ) |

## Member Function Documentation

void gr_single_pole_iir_filter_ff::set_taps | ( | double | alpha | ) |

int gr_single_pole_iir_filter_ff::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) | `[virtual]`

| just like gr_block::general_work, only this arranges to call consume_each for you The user must override work to define the signal processing code Implements gr_sync_block.

## Friends And Related Function Documentation

gr_single_pole_iir_filter_ff_sptr gr_make_single_pole_iir_filter_ff | ( | double | alpha,
|  | unsigned int | vlen
| ) | `[friend]`

The documentation for this class was generated from the following files:

- gr_single_pole_iir_filter_ff.h
- gr_single_pole_iir_filter_ff.cc